with GNATCOM.Dispinterface;

package MSHTML.IWebBridge_Interface is

   type IWebBridge_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IWebBridge_Type);

   function Pointer (This : IWebBridge_Type)
     return Pointer_To_IWebBridge;

   procedure Attach (This    : in out IWebBridge_Type;
                     Pointer : in     Pointer_To_IWebBridge);

   procedure Put_url
     (This : IWebBridge_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_url
     (This : IWebBridge_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_Scrollbar
     (This : IWebBridge_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_Scrollbar
     (This : IWebBridge_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_embed
     (This : IWebBridge_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_embed
     (This : IWebBridge_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_event
     (This : IWebBridge_Type)
     return GNATCOM.Types.Pointer_To_IDispatch;

   function Get_readyState
     (This : IWebBridge_Type)
     return Interfaces.C.long;

   procedure AboutBox
     (This : IWebBridge_Type);

end MSHTML.IWebBridge_Interface;

